---
title: "Depop API: Shop Products | Perceptlayer"
description: "Shop Products from Depop as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/depop/shop-products
---

[APIs](https://perceptlayer.com/apis) / [Depop](https://perceptlayer.com/apis/depop) / Shop Products

# Depop: Shop Products

Shop Products from Depop as JSON. 1 credit per successful call.

GET `/v1/depop/shop-products`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `seller_id` | integer | Required | Any |
| `limit` | integer | Optional | Any |
| `cursor` | string | Optional | Up to 500 characters |
| `ranking` | string | Optional | recent, price\_asc, price\_desc |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/depop/shop-products" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/depop?try=shop-products#playground) with your own parameters. 1 credit per successful call; failed calls are free.
